Subject: Re: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Dmitry Gutov <[email-masked]>
Date: Sun, 28 Jun 2015 11:05:52 +0300

On 06/28/2015 05:42 AM, Eli Zaretskii wrote:

> Isn't it the other way around: Windows wants 'always' (except when it
> doesn't, see below), while others want 'auto'?

When will `always' not work for the others?

> As to when you won't want 'always': it's when Grep is invoked as part
> pf a pipeline, where it's not the last part, or when the Lisp program
> that invokes it wants to interpret the results, as opposed to showing
> them to the user.

I'd want `nil' in that case, right? And I'd have to specify it 
explicitly anyway, if I want compatibility with Windows.

So, why do we use `auto'?